Ubuntu

USB ports: connect-debounce failed, port disabled

Reported by sengo on 2007-02-27
146
This bug affects 22 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Medium
Gentoo Linux
Won't Fix
High
linux (Ubuntu)
Medium
Unassigned
Declined for Feisty by Ben Collins
Declined for Gutsy by Henrik Nilsen Omma
Nominated for Hardy by Ronin
Nominated for Jaunty by Ariel Faigon
Nominated for Karmic by Ronin
Nominated for Lucid by Ronin
linux-source-2.6.20 (Suse)
Won't Fix
High
linux-source-2.6.20 (Ubuntu)
Medium
Unassigned
Declined for Feisty by Ben Collins
Declined for Gutsy by Henrik Nilsen Omma
Nominated for Hardy by Ronin
Nominated for Jaunty by Ariel Faigon
Nominated for Karmic by Ronin
Nominated for Lucid by Ronin
linux-source-2.6.22 (Ubuntu)
Medium
Unassigned
Declined for Feisty by Ben Collins
Declined for Gutsy by Henrik Nilsen Omma
Nominated for Hardy by Ronin
Nominated for Jaunty by Ariel Faigon
Nominated for Karmic by Ronin
Nominated for Lucid by Ronin

Bug Description

Binary package hint: linux-image-2.6.20-9-generic

I recently installed feisty on a Fujitsu Siemens Amilo pro v3205. Even during installation my console was flooded with hundreds of:

[ ???.??????] hub 5-0:1.0: connect-debounce failed, port 6 disabled

The problem didn't go away after installation and logs got flooded with the message too:

cristian@alastor:~$ grep debounce /var/log/syslog|wc -l
1621

After some googling I discovered this is probably caused by the onboard usb bluetooth receveir: if I disable then re-enable it with the keyboard switch the message goes away. If I boot the laptop with BT disabled, then I enable it the message doesn't appear at all in the kernel logs.
Everything was fine on the same hardware with 2.6.17 on edgy.

my dmesg:
[ 0.903896] Freeing initrd memory: 6433k freed
[ 0.904090] Simple Boot Flag value 0x82 read from CMOS RAM was invalid
[ 0.904093] Simple Boot Flag at 0x36 set to 0x1
[ 0.904594] audit: initializing netlink socket (disabled)
[ 0.904611] audit(1172618452.352:1): initialized
[ 0.904712] highmem bounce pool size: 64 pages
[ 0.904809] VFS: Disk quotas dquot_6.5.1
[ 0.904836] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[ 0.904890] io scheduler noop registered
[ 0.904893] io scheduler anticipatory registered
[ 0.904895] io scheduler deadline registered
[ 0.904909] io scheduler cfq registered (default)
[ 0.905174] PCI: Setting latency timer of device 0000:00:1c.0 to 64
[ 0.905223] assign_interrupt_mode Found MSI capability
[ 0.905276] Allocate Port Service[0000:00:1c.0:pcie00]
[ 0.905319] Allocate Port Service[0000:00:1c.0:pcie02]
[ 0.905359] Allocate Port Service[0000:00:1c.0:pcie03]
[ 0.905471] PCI: Setting latency timer of device 0000:00:1c.1 to 64
[ 0.905520] assign_interrupt_mode Found MSI capability
[ 0.905556] Allocate Port Service[0000:00:1c.1:pcie00]
[ 0.905592] Allocate Port Service[0000:00:1c.1:pcie02]
[ 0.905627] Allocate Port Service[0000:00:1c.1:pcie03]
[ 0.905735] PCI: Setting latency timer of device 0000:00:1c.2 to 64
[ 0.905784] assign_interrupt_mode Found MSI capability
[ 0.905820] Allocate Port Service[0000:00:1c.2:pcie00]
[ 0.905855] Allocate Port Service[0000:00:1c.2:pcie02]
[ 0.905894] Allocate Port Service[0000:00:1c.2:pcie03]
[ 0.906070] isapnp: Scanning for PnP cards...
[ 1.259943] isapnp: No Plug & Play device found
[ 1.285392] Real Time Clock Driver v1.12ac
[ 1.285457] Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
[ 1.286120] mice: PS/2 mouse device common for all mice
[ 1.286727] RAMDISK driver initialized: 16 RAM disks of 65536K size 1024 blocksize
[ 1.286890] input: Macintosh mouse button emulation as /class/input/input0
[ 1.286930] Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
[ 1.286934] ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
[ 1.287235] PNP: PS/2 Controller [PNP0303:PS2K,PNP0f13:PS2F] at 0x60,0x64 irq 1,12
[ 1.290120] serio: i8042 KBD port at 0x60,0x64 irq 1
[ 1.290124] serio: i8042 AUX port at 0x60,0x64 irq 12
[ 1.290256] EISA: Probing bus 0 at eisa.0
[ 1.290264] Cannot allocate resource for EISA slot 1
[ 1.290268] Cannot allocate resource for EISA slot 2
[ 1.290270] Cannot allocate resource for EISA slot 3
[ 1.290273] Cannot allocate resource for EISA slot 4
[ 1.290276] Cannot allocate resource for EISA slot 5
[ 1.290291] EISA: Detected 0 cards.
[ 1.320380] TCP cubic registered
[ 1.320390] NET: Registered protocol family 1
[ 1.320395] NET: Registered protocol family 8
[ 1.320397] NET: Registered protocol family 20
[ 1.320432] Starting balanced_irq
[ 1.320438] Using IPI No-Shortcut mode
[ 1.320508] input: AT Translated Set 2 keyboard as /class/input/input1
[ 1.320583] ACPI: (supports S0 S3 S4 S5)
[ 1.320634] Magic number: 11:715:353
[ 1.320927] Freeing unused kernel memory: 324k freed
[ 1.323210] Time: tsc clocksource has been installed.
[ 2.501883] Capability LSM initialized
[ 2.537685] ACPI (exconfig-0455): Dynamic SSDT Load - OemId [ PmRef] OemTableId [ Cpu0Ist] [20060707]
[ 2.538127] ACPI (exconfig-0455): Dynamic SSDT Load - OemId [ PmRef] OemTableId [ Cpu0Cst] [20060707]
[ 2.538384] ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
[ 2.538389] ACPI: Processor [CPU0] (supports 8 throttling states)
[ 2.538902] ACPI (exconfig-0455): Dynamic SSDT Load - OemId [ PmRef] OemTableId [ Cpu1Ist] [20060707]
[ 2.539109] ACPI (exconfig-0455): Dynamic SSDT Load - OemId [ PmRef] OemTableId [ Cpu1Cst] [20060707]
[ 2.539410] ACPI: CPU1 (power states: C1[C1] C2[C2] C3[C3])
[ 2.539415] ACPI: Processor [CPU1] (supports 8 throttling states)
[ 2.808000] ACPI: Thermal Zone [TZ00] (35 C)
[ 2.812000] Time: acpi_pm clocksource has been installed.
[ 3.156000] usbcore: registered new interface driver usbfs
[ 3.156000] usbcore: registered new interface driver hub
[ 3.156000] usbcore: registered new device driver usb
[ 3.160000] USB Universal Host Controller Interface driver v3.0
[ 3.160000] ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 19
[ 3.160000] PCI: Setting latency timer of device 0000:00:1d.0 to 64
[ 3.160000] uhci_hcd 0000:00:1d.0: UHCI Host Controller
[ 3.160000] uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 1
[ 3.160000] uhci_hcd 0000:00:1d.0: irq 19, io base 0x00001820
[ 3.160000] usb usb1: configuration #1 chosen from 1 choice
[ 3.160000] hub 1-0:1.0: USB hub found
[ 3.160000] hub 1-0:1.0: 2 ports detected
[ 3.208000] e100: Intel(R) PRO/100 Network Driver, 3.5.17-k2-NAPI
[ 3.208000] e100: Copyright(c) 1999-2006 Intel Corporation
[ 3.212000] SCSI subsystem initialized
[ 3.248000] libata version 2.00 loaded.
[ 3.252000] ieee1394: Initialized config rom entry `ip1394'
[ 3.264000] ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 20
[ 3.264000] PCI: Setting latency timer of device 0000:00:1d.1 to 64
[ 3.264000] uhci_hcd 0000:00:1d.1: UHCI Host Controller
[ 3.264000] uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 2
[ 3.264000] uhci_hcd 0000:00:1d.1: irq 20, io base 0x00001840
[ 3.264000] usb usb2: configuration #1 chosen from 1 choice
[ 3.264000] hub 2-0:1.0: USB hub found
[ 3.264000] hub 2-0:1.0: 2 ports detected
[ 3.368000] ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 18
[ 3.368000] PCI: Setting latency timer of device 0000:00:1d.2 to 64
[ 3.368000] uhci_hcd 0000:00:1d.2: UHCI Host Controller
[ 3.368000] uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 3
[ 3.368000] uhci_hcd 0000:00:1d.2: irq 18, io base 0x00001860
[ 3.368000] usb usb3: configuration #1 chosen from 1 choice
[ 3.368000] hub 3-0:1.0: USB hub found
[ 3.368000] hub 3-0:1.0: 2 ports detected
[ 3.472000] ACPI: PCI Interrupt 0000:00:1d.3[D] -> GSI 16 (level, low) -> IRQ 17
[ 3.472000] PCI: Setting latency timer of device 0000:00:1d.3 to 64
[ 3.472000] uhci_hcd 0000:00:1d.3: UHCI Host Controller
[ 3.472000] uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 4
[ 3.472000] uhci_hcd 0000:00:1d.3: irq 17, io base 0x00001880
[ 3.472000] usb usb4: configuration #1 chosen from 1 choice
[ 3.472000] hub 4-0:1.0: USB hub found
[ 3.472000] hub 4-0:1.0: 2 ports detected
[ 3.576000] ACPI: PCI Interrupt 0000:07:08.0[A] -> GSI 20 (level, low) -> IRQ 21
[ 3.576000] PCI: Setting latency timer of device 0000:07:08.0 to 64
[ 3.604000] e100: eth0: e100_probe: addr 0xdc000000, irq 21, MAC addr 00:16:36:83:5D:4A
[ 3.604000] PCI: Enabling device 0000:07:09.0 (0000 -> 0002)
[ 3.604000] ACPI: PCI Interrupt 0000:07:09.0[A] -> GSI 20 (level, low) -> IRQ 21
[ 3.604000] PCI: Setting latency timer of device 0000:07:09.0 to 64
[ 3.604000] ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 19
[ 3.604000] PCI: Setting latency timer of device 0000:00:1d.7 to 64
[ 3.604000] ehci_hcd 0000:00:1d.7: EHCI Host Controller
[ 3.604000] ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 5
[ 3.604000] ehci_hcd 0000:00:1d.7: debug port 1
[ 3.604000] PCI: cache line size of 32 is not supported by device 0000:00:1d.7
[ 3.604000] ehci_hcd 0000:00:1d.7: irq 19, io mem 0xdc444000
[ 3.608000] ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
[ 3.608000] usb usb5: configuration #1 chosen from 1 choice
[ 3.608000] hub 5-0:1.0: USB hub found
[ 3.608000] hub 5-0:1.0: 8 ports detected
[ 3.656000] ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[21] MMIO=[dc001000-dc0017ff] Max Packet=[2048] IR/IT contexts=[4/4]
[ 3.712000] ahci 0000:00:1f.2: version 2.0
[ 3.712000] ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 19 (level, low) -> IRQ 20
[ 4.716000] PCI: Setting latency timer of device 0000:00:1f.2 to 64
[ 4.716000] ahci 0000:00:1f.2: AHCI 0001.0100 32 slots 4 ports 1.5 Gbps 0x5 impl SATA mode
[ 4.716000] ahci 0000:00:1f.2: flags: 64bit ncq pm led clo pio slum part
[ 4.716000] ata1: SATA max UDMA/133 cmd 0xF88A6500 ctl 0x0 bmdma 0x0 irq 220
[ 4.716000] ata2: SATA max UDMA/133 cmd 0xF88A6580 ctl 0x0 bmdma 0x0 irq 220
[ 4.716000] ata3: SATA max UDMA/133 cmd 0xF88A6600 ctl 0x0 bmdma 0x0 irq 220
[ 4.716000] ata4: SATA max UDMA/133 cmd 0xF88A6680 ctl 0x0 bmdma 0x0 irq 220
[ 4.716000] scsi0 : ahci
[ 4.932000] ieee1394: Host added: ID:BUS[0-00:1023] GUID[00c09f0000b2fced]
[ 5.200000] ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[ 5.204000] ata1.00: ATA-7, max UDMA/100, 156301488 sectors: LBA48 NCQ (depth 31/32)
[ 5.204000] ata1.00: ata1: dev 0 multi count 16
[ 5.208000] ata1.00: configured for UDMA/100
[ 5.208000] scsi1 : ahci
[ 5.520000] ata2: SATA link down (SStatus 0 SControl 0)
[ 5.520000] scsi2 : ahci
[ 5.700000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 5.832000] ata3: SATA link down (SStatus 0 SControl 300)
[ 5.832000] scsi3 : ahci
[ 6.144000] ata4: SATA link down (SStatus 0 SControl 0)
[ 6.144000] scsi 0:0:0:0: Direct-Access ATA FUJITSU MHV2080B 0000 PQ: 0 ANSI: 5
[ 6.144000] ICH7: IDE controller at PCI slot 0000:00:1f.1
[ 6.144000] ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 18 (level, low) -> IRQ 18
[ 6.144000] ICH7: chipset revision 2
[ 6.144000] ICH7: not 100% native mode: will probe irqs later
[ 6.144000] ide0: BM-DMA at 0x1810-0x1817, BIOS settings: hda:DMA, hdb:pio
[ 6.144000] Probing IDE interface ide0...
[ 6.156000] SCSI device sda: 156301488 512-byte hdwr sectors (80026 MB)
[ 6.156000] sda: Write Protect is off
[ 6.156000] sda: Mode Sense: 00 3a 00 00
[ 6.156000] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 6.156000] SCSI device sda: 156301488 512-byte hdwr sectors (80026 MB)
[ 6.156000] sda: Write Protect is off
[ 6.156000] sda: Mode Sense: 00 3a 00 00
[ 6.156000] SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 6.156000] sda: sda1 sda2 < sda5 >
[ 6.276000] sd 0:0:0:0: Attached scsi disk sda
[ 6.280000] sd 0:0:0:0: Attached scsi generic sg0 type 0
[ 6.476000] Attempting manual resume
[ 6.476000] swsusp: Resume From Partition 8:5
[ 6.476000] PM: Checking swsusp image.
[ 6.476000] PM: Resume from disk failed.
[ 6.512000] kjournald starting. Commit interval 5 seconds
[ 6.512000] EXT3-fs: mounted filesystem with ordered data mode.
[ 6.880000] hda: HL-DT-ST DVDRAM GSA-T10N, ATAPI CD/DVD-ROM drive
[ 7.216000] ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
[ 7.648000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 9.664000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 11.680000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 13.696000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 15.712000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 16.808000] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[ 16.808000] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[ 16.928000] Linux agpgart interface v0.101 (c) Dave Jones
[ 16.936000] agpgart: Detected an Intel 945GM Chipset.
[ 16.936000] agpgart: Detected 7932K stolen memory.
[ 16.956000] agpgart: AGP aperture is 256M @ 0xc0000000
[ 17.028000] iTCO_vendor_support: vendor-support=0
[ 17.028000] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.01 (11-Nov-2006)
[ 17.028000] iTCO_wdt: Found a ICH7-M TCO device (Version=2, TCOBASE=0x1060)
[ 17.028000] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[ 17.044000] intel_rng: FWH not detected
[ 17.436000] ieee80211_crypt: registered algorithm 'NULL'
[ 17.444000] ieee80211: 802.11 data/management/control stack, git-1.1.13
[ 17.444000] ieee80211: Copyright (C) 2004-2005 Intel Corporation <email address hidden>
[ 17.460000] sdhci: Secure Digital Host Controller Interface driver, 0.12
[ 17.460000] sdhci: Copyright(c) Pierre Ossman
[ 17.460000] sdhci: SDHCI controller found at 0000:07:09.1 [1180:0822] (rev 19)
[ 17.460000] PCI: Enabling device 0000:07:09.1 (0000 -> 0002)
[ 17.460000] ACPI: PCI Interrupt 0000:07:09.1[B] -> GSI 21 (level, low) -> IRQ 22
[ 17.460000] PCI: Setting latency timer of device 0000:07:09.1 to 64
[ 17.460000] sdhci:slot0: Controller reports > 25 MHz base clock, but no high speed support.
[ 17.460000] mmc0: SDHCI at 0xdc001800 irq 22 DMA
[ 17.492000] ipw3945: Intel(R) PRO/Wireless 3945 Network Connection driver for Linux, 1.2.0mp
[ 17.492000] ipw3945: Copyright(c) 2003-2006 Intel Corporation
[ 17.492000] ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 16 (level, low) -> IRQ 17
[ 17.492000] PCI: Setting latency timer of device 0000:01:00.0 to 64
[ 17.492000] ipw3945: Detected Intel PRO/Wireless 3945ABG Network Connection
[ 17.520000] hda: ATAPI 24X DVD-ROM DVD-R-RAM CD-R/RW drive, 2048kB Cache, UDMA(33)
[ 17.520000] Uniform CD-ROM driver Revision: 3.20
[ 17.680000] ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 22 (level, low) -> IRQ 23
[ 17.680000] PCI: Setting latency timer of device 0000:00:1b.0 to 64
[ 17.728000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 18.052000] Synaptics Touchpad, model: 1, fw: 5.10, id: 0x258eb1, caps: 0xa04713/0x0
[ 18.088000] input: SynPS/2 Synaptics TouchPad as /class/input/input2
[ 18.444000] lp: driver loaded but no devices found
[ 18.492000] EXT3 FS on sda1, internal journal
[ 19.396000] ipw3945: Detected geography ABG (13 802.11bg channels, 23 802.11a channels)
[ 19.744000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 19.780000] ACPI: AC Adapter [ACAD] (on-line)
[ 19.836000] ACPI: Battery Slot [BAT1] (battery present)
[ 19.852000] input: Power Button (FF) as /class/input/input3
[ 19.852000] ACPI: Power Button (FF) [PWRF]
[ 19.852000] input: Power Button (CM) as /class/input/input4
[ 19.852000] ACPI: Power Button (CM) [PWRB]
[ 19.852000] input: Sleep Button (CM) as /class/input/input5
[ 19.852000] ACPI: Sleep Button (CM) [SLPB]
[ 19.852000] input: Lid Switch as /class/input/input6
[ 19.852000] ACPI: Lid Switch [LID]
[ 19.920000] Using specific hotkey driver
[ 20.036000] ACPI: Error installing notify handler
[ 20.036000] Device 'dock.0' does not have a release() function, it is broken and must be fixed.
[ 20.036000] BUG: at drivers/base/core.c:104 device_release()
[ 20.036000] [<c01ec459>] kobject_cleanup+0x49/0x90
[ 20.036000] [<c01ec4a0>] kobject_release+0x0/0x10
[ 20.036000] [<c01ed15b>] kref_put+0x2b/0xa0
[ 20.036000] [<f8c2e723>] find_dock+0x1d0/0x1f0 [dock]
[ 20.036000] [<c021b17d>] acpi_ns_walk_namespace+0xf9/0x114
[ 20.036000] [<c0219934>] acpi_walk_namespace+0x57/0x74
[ 20.036000] [<f8c2e553>] find_dock+0x0/0x1f0 [dock]
[ 20.036000] [<f884f03c>] dock_init+0x3c/0x55 [dock]
[ 20.036000] [<f8c2e553>] find_dock+0x0/0x1f0 [dock]
[ 20.036000] [<c0143ded>] sys_init_module+0x15d/0x1ba0
[ 20.036000] [<c0107a3d>] sys_mmap2+0xcd/0xd0
[ 20.036000] [<c01031d0>] sysenter_past_esp+0x69/0xa9
[ 20.036000] =======================
[ 20.036000] No dock devices found.
[ 20.132000] ibm_acpi: ec object not found
[ 20.252000] ACPI: Video Device [VGA] (multi-head: yes rom: no post: no)
[ 20.252000] ACPI: Video Device [GFX0] (multi-head: yes rom: no post: no)
[ 21.760000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 23.776000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 23.844000] [drm] Initialized drm 1.1.0 20060810
[ 23.872000] ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 17
[ 23.872000] [drm] Initialized i915 1.6.0 20060119 on minor 0
[ 24.092000] ppdev: user-space parallel port driver
[ 25.792000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 27.416000] apm: BIOS not found.
[ 27.808000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 29.824000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 31.840000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 32.220000] NET: Registered protocol family 10
[ 32.220000] lo: Disabled Privacy Extensions
[ 32.220000] ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 32.220000] ADDRCONF(NETDEV_UP): eth1: link is not ready
[ 32.540000] Bluetooth: Core ver 2.11
[ 32.540000] NET: Registered protocol family 31
[ 32.540000] Bluetooth: HCI device and connection manager initialized
[ 32.540000] Bluetooth: HCI socket layer initialized
[ 32.592000] Bluetooth: L2CAP ver 2.8
[ 32.592000] Bluetooth: L2CAP socket layer initialized
[ 33.856000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 34.144000] Bluetooth: RFCOMM socket layer initialized
[ 34.144000] Bluetooth: RFCOMM TTY layer initialized
[ 34.144000] Bluetooth: RFCOMM ver 1.8
[ 35.872000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 37.888000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 39.904000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 41.920000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 42.476000] NET: Registered protocol family 17
[ 42.544000] ieee80211_crypt: registered algorithm 'WEP'
[ 42.852000] ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
[ 43.936000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 45.952000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 47.968000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 49.984000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 52.000000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 54.016000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 56.032000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 58.048000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 59.780000] eth1: no IPv6 routers present
[ 60.064000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 62.080000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 64.096000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 66.112000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 68.128000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 70.144000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 72.160000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 74.176000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 76.192000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 78.208000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 80.224000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 82.240000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 84.256000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 86.272000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 88.288000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 90.304000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 92.320000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 94.336000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 96.352000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 98.368000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 100.384000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 102.400000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 104.416000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 106.432000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 108.448000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 110.464000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 112.480000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 114.496000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 116.512000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 118.528000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 120.544000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 122.560000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 124.576000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 126.592000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 128.608000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 130.624000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 132.640000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 134.656000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 136.672000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 138.688000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 140.704000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 142.720000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 144.736000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 146.752000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 148.768000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 150.784000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 152.800000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 154.816000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 156.832000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 158.848000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 160.864000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 162.880000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 164.896000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 166.912000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 168.928000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 170.944000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 172.960000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 174.976000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 176.992000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 179.008000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 181.024000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 183.040000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 185.056000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 187.072000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 189.088000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 191.104000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 193.120000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 195.136000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 197.152000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 199.168000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 201.184000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 203.200000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 205.216000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 207.232000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 209.248000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 211.264000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 213.280000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 215.296000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 217.312000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 219.328000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 221.344000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 223.360000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 225.376000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 227.392000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 229.408000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 231.424000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 233.440000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 235.456000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 237.472000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 239.488000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 241.504000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 243.520000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 245.536000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 247.552000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 249.568000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 251.584000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 253.600000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 255.616000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 257.632000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 259.648000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 261.664000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 263.680000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 265.696000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 267.712000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 269.728000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 271.744000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 273.760000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 275.776000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 277.792000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 279.808000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 281.824000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 283.840000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 285.856000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 287.872000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 289.888000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 291.904000] hub 5-0:1.0: connect-debounce failed, port 6 disabled

lsusb -v:

Bus 005 Device 001: ID 0000:0000
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 9 Hub
  bDeviceSubClass 0 Unused
  bDeviceProtocol 1 Single TT
  bMaxPacketSize0 64
  idVendor 0x0000
  idProduct 0x0000
  bcdDevice 2.06
  iManufacturer 3 Linux 2.6.20-9-generic ehci_hcd
  iProduct 2 EHCI Host Controller
  iSerial 1 0000:00:1d.7
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 25
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xe0
      Self Powered
      Remote Wakeup
    MaxPower 0mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 9 Hub
      bInterfaceSubClass 0 Unused
      bInterfaceProtocol 0 Full speed hub
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0004 1x 4 bytes
        bInterval 12
Hub Descriptor:
  bLength 11
  bDescriptorType 41
  nNbrPorts 8
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
    TT think time 8 FS bits
  bPwrOn2PwrGood 10 * 2 milli seconds
  bHubContrCurrent 0 milli Ampere
  DeviceRemovable 0x00 0x00
  PortPwrCtrlMask 0xff 0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
   Port 3: 0000.0100 power
   Port 4: 0000.0100 power
   Port 5: 0000.0100 power
   Port 6: 0000.0000
   Port 7: 0000.0100 power
   Port 8: 0000.0100 power
Device Status: 0x0003
  Self Powered
  Remote Wakeup Enabled

Bus 003 Device 004: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 224 Wireless
  bDeviceSubClass 1 Radio Frequency
  bDeviceProtocol 1 Bluetooth
  bMaxPacketSize0 64
  idVendor 0x0a12 Cambridge Silicon Radio, Ltd
  idProduct 0x0001 Bluetooth Dongle (HCI mode)
  bcdDevice 19.58
  iManufacturer 0
  iProduct 0
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 177
    bNumInterfaces 2
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xc0
      Self Powered
    MaxPower 0mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 3
      bInterfaceClass 224 Wireless
      bInterfaceSubClass 1 Radio Frequency
      bInterfaceProtocol 1 Bluetooth
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0010 1x 16 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 1
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 1
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 224 Wireless
      bInterfaceSubClass 1 Radio Frequency
      bInterfaceProtocol 1 Bluetooth
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x03 EP 3 OUT
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0000 1x 0 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x83 EP 3 IN
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0000 1x 0 bytes
        bInterval 1
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 1
      bAlternateSetting 1
      bNumEndpoints 2
      bInterfaceClass 224 Wireless
      bInterfaceSubClass 1 Radio Frequency
      bInterfaceProtocol 1 Bluetooth
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x03 EP 3 OUT
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0009 1x 9 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x83 EP 3 IN
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0009 1x 9 bytes
        bInterval 1
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 1
      bAlternateSetting 2
      bNumEndpoints 2
      bInterfaceClass 224 Wireless
      bInterfaceSubClass 1 Radio Frequency
      bInterfaceProtocol 1 Bluetooth
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x03 EP 3 OUT
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0011 1x 17 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x83 EP 3 IN
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0011 1x 17 bytes
        bInterval 1
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 1
      bAlternateSetting 3
      bNumEndpoints 2
      bInterfaceClass 224 Wireless
      bInterfaceSubClass 1 Radio Frequency
      bInterfaceProtocol 1 Bluetooth
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x03 EP 3 OUT
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0019 1x 25 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x83 EP 3 IN
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0019 1x 25 bytes
        bInterval 1
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 1
      bAlternateSetting 4
      bNumEndpoints 2
      bInterfaceClass 224 Wireless
      bInterfaceSubClass 1 Radio Frequency
      bInterfaceProtocol 1 Bluetooth
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x03 EP 3 OUT
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0021 1x 33 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x83 EP 3 IN
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0021 1x 33 bytes
        bInterval 1
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 1
      bAlternateSetting 5
      bNumEndpoints 2
      bInterfaceClass 224 Wireless
      bInterfaceSubClass 1 Radio Frequency
      bInterfaceProtocol 1 Bluetooth
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x03 EP 3 OUT
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0031 1x 49 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x83 EP 3 IN
        bmAttributes 1
          Transfer Type Isochronous
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0031 1x 49 bytes
        bInterval 1
Device Status: 0x0001
  Self Powered

Bus 003 Device 001: ID 0000:0000
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 9 Hub
  bDeviceSubClass 0 Unused
  bDeviceProtocol 0 Full speed hub
  bMaxPacketSize0 64
  idVendor 0x0000
  idProduct 0x0000
  bcdDevice 2.06
  iManufacturer 3 Linux 2.6.20-9-generic uhci_hcd
  iProduct 2 UHCI Host Controller
  iSerial 1 0000:00:1d.2
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 25
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xe0
      Self Powered
      Remote Wakeup
    MaxPower 0mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 9 Hub
      bInterfaceSubClass 0 Unused
      bInterfaceProtocol 0 Full speed hub
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0002 1x 2 bytes
        bInterval 255
Hub Descriptor:
  bLength 9
  bDescriptorType 41
  nNbrPorts 2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood 1 * 2 milli seconds
  bHubContrCurrent 0 milli Ampere
  DeviceRemovable 0x00
  PortPwrCtrlMask 0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0103 power enable connect
Device Status: 0x0003
  Self Powered
  Remote Wakeup Enabled

Bus 004 Device 001: ID 0000:0000
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 9 Hub
  bDeviceSubClass 0 Unused
  bDeviceProtocol 0 Full speed hub
  bMaxPacketSize0 64
  idVendor 0x0000
  idProduct 0x0000
  bcdDevice 2.06
  iManufacturer 3 Linux 2.6.20-9-generic uhci_hcd
  iProduct 2 UHCI Host Controller
  iSerial 1 0000:00:1d.3
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 25
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xe0
      Self Powered
      Remote Wakeup
    MaxPower 0mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 9 Hub
      bInterfaceSubClass 0 Unused
      bInterfaceProtocol 0 Full speed hub
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0002 1x 2 bytes
        bInterval 255
Hub Descriptor:
  bLength 9
  bDescriptorType 41
  nNbrPorts 2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood 1 * 2 milli seconds
  bHubContrCurrent 0 milli Ampere
  DeviceRemovable 0x00
  PortPwrCtrlMask 0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
Device Status: 0x0003
  Self Powered
  Remote Wakeup Enabled

Bus 002 Device 001: ID 0000:0000
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 9 Hub
  bDeviceSubClass 0 Unused
  bDeviceProtocol 0 Full speed hub
  bMaxPacketSize0 64
  idVendor 0x0000
  idProduct 0x0000
  bcdDevice 2.06
  iManufacturer 3 Linux 2.6.20-9-generic uhci_hcd
  iProduct 2 UHCI Host Controller
  iSerial 1 0000:00:1d.1
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 25
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xe0
      Self Powered
      Remote Wakeup
    MaxPower 0mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 9 Hub
      bInterfaceSubClass 0 Unused
      bInterfaceProtocol 0 Full speed hub
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0002 1x 2 bytes
        bInterval 255
Hub Descriptor:
  bLength 9
  bDescriptorType 41
  nNbrPorts 2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood 1 * 2 milli seconds
  bHubContrCurrent 0 milli Ampere
  DeviceRemovable 0x00
  PortPwrCtrlMask 0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
Device Status: 0x0003
  Self Powered
  Remote Wakeup Enabled

Bus 001 Device 001: ID 0000:0000
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 9 Hub
  bDeviceSubClass 0 Unused
  bDeviceProtocol 0 Full speed hub
  bMaxPacketSize0 64
  idVendor 0x0000
  idProduct 0x0000
  bcdDevice 2.06
  iManufacturer 3 Linux 2.6.20-9-generic uhci_hcd
  iProduct 2 UHCI Host Controller
  iSerial 1 0000:00:1d.0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 25
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xe0
      Self Powered
      Remote Wakeup
    MaxPower 0mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 9 Hub
      bInterfaceSubClass 0 Unused
      bInterfaceProtocol 0 Full speed hub
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0002 1x 2 bytes
        bInterval 255
Hub Descriptor:
  bLength 9
  bDescriptorType 41
  nNbrPorts 2
  wHubCharacteristic 0x000a
    No power switching (usb 1.0)
    Per-port overcurrent protection
  bPwrOn2PwrGood 1 * 2 milli seconds
  bHubContrCurrent 0 milli Ampere
  DeviceRemovable 0x00
  PortPwrCtrlMask 0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
Device Status: 0x0003
  Self Powered
  Remote Wakeup Enabled

cat /proc/bus/usb/devices

T: Bus=05 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 8
B: Alloc= 0/800 us ( 0%), #Int= 0, #Iso= 0
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=0000 ProdID=0000 Rev= 2.06
S: Manufacturer=Linux 2.6.20-9-generic ehci_hcd
S: Product=EHCI Host Controller
S: SerialNumber=0000:00:1d.7
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr= 0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
E: Ad=81(I) Atr=03(Int.) MxPS= 4 Ivl=256ms

T: Bus=04 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=12 MxCh= 2
B: Alloc= 0/900 us ( 0%), #Int= 0, #Iso= 0
D: Ver= 1.10 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=0000 ProdID=0000 Rev= 2.06
S: Manufacturer=Linux 2.6.20-9-generic uhci_hcd
S: Product=UHCI Host Controller
S: SerialNumber=0000:00:1d.3
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr= 0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
E: Ad=81(I) Atr=03(Int.) MxPS= 2 Ivl=255ms

T: Bus=03 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=12 MxCh= 2
B: Alloc= 27/900 us ( 3%), #Int= 1, #Iso= 2
D: Ver= 1.10 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=0000 ProdID=0000 Rev= 2.06
S: Manufacturer=Linux 2.6.20-9-generic uhci_hcd
S: Product=UHCI Host Controller
S: SerialNumber=0000:00:1d.2
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr= 0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
E: Ad=81(I) Atr=03(Int.) MxPS= 2 Ivl=255ms

T: Bus=03 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#= 4 Spd=12 MxCh= 0
D: Ver= 2.00 Cls=e0(unk. ) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=0a12 ProdID=0001 Rev=19.58
C:* #Ifs= 2 Cfg#= 1 Atr=c0 MxPwr= 0mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=e0(unk. ) Sub=01 Prot=01 Driver=hci_usb
E: Ad=81(I) Atr=03(Int.) MxPS= 16 Ivl=1ms
E: Ad=02(O) Atr=02(Bulk) MxPS= 64 Ivl=0ms
E: Ad=82(I) Atr=02(Bulk) MxPS= 64 Ivl=0ms
I: If#= 1 Alt= 0 #EPs= 2 Cls=e0(unk. ) Sub=01 Prot=01 Driver=hci_usb
E: Ad=03(O) Atr=01(Isoc) MxPS= 0 Ivl=1ms
E: Ad=83(I) Atr=01(Isoc) MxPS= 0 Ivl=1ms
I: If#= 1 Alt= 1 #EPs= 2 Cls=e0(unk. ) Sub=01 Prot=01 Driver=hci_usb
E: Ad=03(O) Atr=01(Isoc) MxPS= 9 Ivl=1ms
E: Ad=83(I) Atr=01(Isoc) MxPS= 9 Ivl=1ms
I: If#= 1 Alt= 2 #EPs= 2 Cls=e0(unk. ) Sub=01 Prot=01 Driver=hci_usb
E: Ad=03(O) Atr=01(Isoc) MxPS= 17 Ivl=1ms
E: Ad=83(I) Atr=01(Isoc) MxPS= 17 Ivl=1ms
I: If#= 1 Alt= 3 #EPs= 2 Cls=e0(unk. ) Sub=01 Prot=01 Driver=hci_usb
E: Ad=03(O) Atr=01(Isoc) MxPS= 25 Ivl=1ms
E: Ad=83(I) Atr=01(Isoc) MxPS= 25 Ivl=1ms
I: If#= 1 Alt= 4 #EPs= 2 Cls=e0(unk. ) Sub=01 Prot=01 Driver=hci_usb
E: Ad=03(O) Atr=01(Isoc) MxPS= 33 Ivl=1ms
E: Ad=83(I) Atr=01(Isoc) MxPS= 33 Ivl=1ms
I: If#= 1 Alt= 5 #EPs= 2 Cls=e0(unk. ) Sub=01 Prot=01 Driver=hci_usb
E: Ad=03(O) Atr=01(Isoc) MxPS= 49 Ivl=1ms
E: Ad=83(I) Atr=01(Isoc) MxPS= 49 Ivl=1ms

T: Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=12 MxCh= 2
B: Alloc= 0/900 us ( 0%), #Int= 0, #Iso= 0
D: Ver= 1.10 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=0000 ProdID=0000 Rev= 2.06
S: Manufacturer=Linux 2.6.20-9-generic uhci_hcd
S: Product=UHCI Host Controller
S: SerialNumber=0000:00:1d.1
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr= 0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub
E: Ad=81(I) Atr=03(Int.) MxPS= 2 Ivl=255ms

T: Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=12 MxCh= 2
B: Alloc= 0/900 us ( 0%), #Int= 0, #Iso= 0
D: Ver= 1.10 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=0000 ProdID=0000 Rev= 2.06
S: Manufacturer=Linux 2.6.20-9-generic uhci_hcd
S: Produ

sengo (sengo) on 2007-02-27
description: updated

Thanks for taking the time to report this bug. Unfortunately we can't fix it, because your description doesn't yet have enough information.

Please include the following additional information, if you have not already done so (please pay attention to lspci's additional options), as required by the Ubuntu Kernel Team:
1. Please include the output of the command "uname -a" in your next response. It should be one, long line of text which includes the exact kernel version you're running, as well as the CPU architecture.
2. Please run the command "dmesg > dmesg.log" and attach the resulting file "dmesg.log" to this bug report.
3. Please run the command "lspci -vvnn > lspci-vvnn.log" and attach the resulting file "lspci-vvnn.log" to this bug report.

For your reference, the full description of procedures for kernel-related bug reports is available at [WWW] http://wiki.ubuntu.com/DebuggingKernelProblems . Thanks in advance!

Changed in linux-source-2.6.20:
assignee: nobody → caravena
status: Unconfirmed → Needs Info
sengo (sengo) wrote :

as requested

sengo (sengo) wrote :
sengo (sengo) wrote :
Changed in linux-source-2.6.20:
assignee: caravena → ubuntu-kernel-team
status: Needs Info → Confirmed
sengo (sengo) wrote :

I tried building a 2.6.19 vanilla kernel and the problem is still there, then I rebuilt linux-sources-2.6.20 enabling usb debug.
Additional logs attached.

sengo (sengo) wrote :
Marco (mfj) wrote :

I have same notebook and same problems with every kernel version 2.6.20.x.
I tried to compile last stable vanilla kernel (2.6.20.3) without success.
No problem with version 2.6.17.x

Marco (mfj) wrote :

Last kernel update don't resolve this bug:
I tried again to recompile the source, adding the option CONFIG_USB_SUSPEND=y present in previous versions, and removing the APM/ACPI support.

uname -a
Linux 2.6.20-11-generic #2 SMP Thu Mar 15 08:03:07 UTC 2007 i686 GNU/Linux

Marco (mfj) wrote :
sengo (sengo) wrote :

@marco

at least I'm not alone, I also reported this on the linux-usb-devel mailing list:

http://<email address hidden>/msg51408.html
and
http://bugzilla.kernel.org/show_bug.cgi?id=8104

Happy hacking.

Cristian

Marco (mfj) wrote :

@sengo: ok

Ben Collins (ben-collins) wrote :

Confirmed bugs should have their Importance set.

Changed in linux-source-2.6.20:
importance: Undecided → Medium
Changed in linux:
status: Unknown → Confirmed
Cosmin Saveanu (csaveanu) wrote :

I can confirm this annoying error message that appeared on my Fujitsu-Siemens Amilo Si1520 after upgrading to Feisty and the 2.6.20-15 kernel. I hope someone will find a solution. On an ArchLinux wiki a workaround is indicated (http://wiki.archlinux.org/index.php/Fujitsu-Siemens_Amilo_Pro_V3205):

"
A hub error message is printed repeatedly:

hub 1-0:1.0: connect-debounce failed, port 6 disabled

A workaround is to disable the laptop's wi-fi device in BIOS.
"
I have no idea how one can disable the wi-fi in BIOS and if, in that case, one can start it after the boot (?). However I observed that the messages stopped after switching off and on the wi-fi button. Thank you, Cosmin

Marco (mfj) wrote :

I don't know your specific laptop, but with a Amilo Pro V3205 to bypass this bug, is enough switching off - on the bluetooth button (Fn- Esc).
If I don't perform this necessary operation during the boot, I'll have bluetooth interface unrecognized.

Cosmin Saveanu (csaveanu) wrote :

Just in case it might give someone an idea about the bug, I've copied the dmesg output before and after siwtching on-off the bluetooth/wi-fi button. Indeed, that will stop the 'ugly' connect-debounce message.

[ 152.084000] hub 5-0:1.0: connect-debounce failed, port 6 disabled
[ 152.508000] ipw3945: Radio Frequency Kill Switch is On:
[ 152.508000] Kill switch must be turned off for wireless networking to work.
[ 152.512000] atkbd.c: Unknown key pressed (translated set 2, code 0xe1 on isa0060/serio0).
[ 152.512000] atkbd.c: Use 'setkeycodes e061 <keycode>' to make it known.
[ 152.632000] atkbd.c: Unknown key released (translated set 2, code 0xe1 on isa0060/serio0).
[ 152.632000] atkbd.c: Use 'setkeycodes e061 <keycode>' to make it known.
[ 163.216000] atkbd.c: Unknown key pressed (translated set 2, code 0xe1 on isa0060/serio0).
[ 163.216000] atkbd.c: Use 'setkeycodes e061 <keycode>' to make it known.
[ 163.272000] atkbd.c: Unknown key released (translated set 2, code 0xe1 on isa0060/serio0).
[ 163.272000] atkbd.c: Use 'setkeycodes e061 <keycode>' to make it known.
[ 163.472000] ipw3945: Detected geography ABG (13 802.11bg channels, 23 802.11a channels)
[ 163.840000] usb 3-2: new full speed USB device using uhci_hcd and address 2
[ 164.016000] usb 3-2: configuration #1 chosen from 1 choice
[ 164.152000] Bluetooth: Core ver 2.11
[ 164.152000] NET: Registered protocol family 31
[ 164.152000] Bluetooth: HCI device and connection manager initialized
[ 164.152000] Bluetooth: HCI socket layer initialized
[ 164.172000] Bluetooth: HCI USB driver ver 2.9
[ 164.176000] usbcore: registered new interface driver hci_usb

fraktalek (fraktalek) wrote :

I have the same problem on my ThinkPad T42 2373-Y9H... recently after upgrading to Feisty. Removing stopping bluetooth service and removing bluetooth modules (bluetooth, rfcomm, l2cap) doesn't help. I can't try the "stop wifi" workaround because I actually use wifi to connect to the Internet.

Description of the notebook can be found at: http://www-307.ibm.com/pc/support/site.wss/product.do?subcategoryind=0&familyind=171864&brandind=10&doccategoryind=0&modelind=198847&doctypeind=2&validate=true&partnumberind=0&sitestyle=lenovo&template=%2Fproductpage%2Flandingpages%2FproductPageLandingPage.vm&operatingsystemind=49979&machineind=171874

The requested information is attached (in one file, separated off by line of dashes).

Cosmin Saveanu (csaveanu) wrote :

Hi fraktalek,

It looks like switching off and then on the wifi can solve (temporarily) the problem. It means that at the end the wifi connection is on, I'm sorry I was not very clear in my previous post. Please take a look at your dmesg output before and after doing the switching on and off for the wifi. I also use wifi for my Internet connection.

Cosmin

fraktalek (fraktalek) wrote :

I'm sorry, my problem I reported in previous comment isn't related to this bug... I found it to be a faulty mouse. So feel free to delete these two comments if you can.

Marco (mfj) wrote :

I have found the resolution for this bug (for my configuration: Fujitsu-Siemens Amilo Pro v3205).

1) Update your bios firmware to last release avaiable.
2) In bios setup -> advanced tab -> disable the usb bios legacy support (sometimes the flashing procedure sets this option as enabled)
3) Restart

With this procedure, bluetooth module is recognized during the boot without connect debounce error of usb hub

Marco

sengo (sengo) wrote :

Hello Marco, I have an Amilo Pro v3205 too, but your trick doesn't work for me: I upgraded to the last bios available (1.20) booting from the iso, loaded bios defaults and disabled usb legacy support... No way, connect debounce still there ://

Marco (mfj) wrote :

It's curious... This is my bios configuration (v. 1.20):

Advanced -> Internal Devices Configuration -> all options ENABLED
Advanced -> USB BIOS Legacy Support: DISABLED
Advanced -> ATA Control Mode: ENHANCED, AHCI Configuration: ENABLED

My kernel is 2.6.20-15-generic. Before try this changes, I have compiled a vanilla kernel 2.6.21.1 but the problem still stayed.

ehamberg (hamberg) wrote :

I also tried upgrading to the newest BIOS version and disabling USB BIOS legacy support without luck.

Amilo Pro V3205
Ubuntu 7.04
Linux hamberg-laptop 2.6.20-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686 GNU/Linux

Marco (mfj) wrote :

After last kernel updating (from 2.6.20-15 to 2.6.20-16) I report again this problem... Now if I launch old kernel from grub the result don't change.

Jamie Lokier (jamie-shareable) wrote :

I'd just like to add myself to the list of voices confirming the problem. I have a Fujitsu-Siemens Amilo Si-1520 laptop, like Cosmin Saveunu, and these messages appear at boot if wireless is enabled. Disabling wireless, and re-enabling, makes them go away. So does booting with wireless disabled. There's no BIOS option to disable it, just having it disabled at the last shutdown is the way to have it disabled at the next boot.

Powertop suggests this is contributing to the number of USB-related IRQ wakeups, draining (a little) power.

Marco (mfj) wrote :

Has someone tested vanilla kernel 2.6.22-rc4? Where is the solution to this bug (kernel or other packages)?

Marco (mfj) wrote :

This bug is present in Gutsy Tribe 1.

uname -a
Linux ubuntu 2.6.22-6-generic #1 SMP Fri Jun 19:24:12 GMT 2007 i686 GNU/Linux

Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Unconfirmed → Confirmed
Benjamin Drung (bdrung) wrote :

This bug is still present in Gutsy Tribe 2. I am using the 64-bit version.

uname -a
Linux ubuntu 2.6.22-7-generic #1 SMP Mon Jun 25 17:07:55 GMT 2007 x86_64 GNU/Linux

mx82 (mx82) wrote :

I have the same notebook (v3205) and the same problem with Feisty, no solution helps.
Which kernel was the last who works ? 2.6.19 ?
uname -a
Linux centrino 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686 GNU/Linux

Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix
Anatoliy Kounitskiy (bgtroll) wrote :

I have the same laptop as you ( FSC Amilo Pro v3205 ), and the same error is happening when i boot the laptop with wifi and bluetooth turned off.
Ubuntu Feisty (7.04)

uname -a
Linux my-FSC 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686 GNU/Linux

Tom Jennings (tomj-wps) wrote :

I too get this since the 2.6.20 kernel with ubuntu 7.04

/connect-debounce... port 1 disabled/

My hardware is an old VIA EPIA5000 card (in my car computer) with an EXTERNAL USB hub, to which is attached a custom music control head (FTDI serial device). Userland code (perl) detaches/reattaches the USB device upon read or write error. Computer is embedded and headless.

Unplugging/replugging the USB device usually, but not always, triggers the /connect-debounce... port 1 disabled/ error. The code is awaiting the existence if /dev/ttyUSB0 after which it attempts to open.

This all ran fine for most of a year with 6.10 (was that 2.6.16 kernel? I forget).

Marco (mfj) wrote :

After many tests, I can confirm that this bug affects ALL Distros with Kernel 2.6.17-12 or upper.

From Alan Stern (Kernel Development):

Some other experiments to try with a "working" kernel and Bluetooth enabled:
rmmod uhci-hcd and modprobe it back. Do the same with ehci-hcd. Unload both
of them and then modprobe them back in one order or the other. Maybe it will
turn out that the so-called "working" kernel doesn't always work.

Anatoliy Kounitskiy (bgtroll) wrote :

Few days ago, I installed Ubuntu 7.10 (Gutsy Gibbon) Tribe 5 to test it. And I want to confirm this bug in the Gutsy Gibbon tribe 5.

uname -a
Linux my-FSC 2.6.22-11-generic #1 SMP Fri Sep 7 05:07:05 GMT 2007 i686 GNU/Linux

I'm attaching kern.log

Changed in linux-source-2.6.20:
status: Unknown → Won't Fix
Ngoc Hai (pngochai) wrote :

This bug has been with me for a year. Since I bought my laptop Fujitsu Amilo Si-1520 P5610.
dmesg: http://rafb.net/p/R2kMCr81.html
lspci: http://rafb.net/p/kkmIoz52.html
lsusb -vvv: http://rafb.net/p/hTUftM13.html
uname -a:
Linux Gentoo 2.6.23-rc3 #1 SMP Mon Aug 20 20:20:20 CEST 2007 x86_64 Intel(R) Core(TM)2 CPU T5600 @ 1.83GHz GenuineIntel GNU/Linux
kernel .config: http://rafb.net/p/gOFmPu97.html
I would love to provide any more info if needed.

Marco (mfj) wrote :

Today I've tried Gutsy Beta Release (in Live mode). I haven't found the "debounce connect error" in dmesg.

Benjamin Drung (bdrung) wrote :

I can confirm this. There is no "debounce connect error" any more. But I do not know if the error disappeared with the last kernel update or if it was an other component.

uname -a
Linux hammy 2.6.22-12-generic #1 SMP Sun Sep 23 20:03:18 GMT 2007 x86_64 GNU/Linux

mx82 (mx82) wrote :

On my notebook, the error is still there. I have tried Gutsy Beta and the Release Candidate with bios 1.10 & 1.20(only the Release Candidate).

I can't find the error in OpenSuse 10.3 .

uname -a
Linux centrino 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

mx82 (mx82) wrote :

Sorry, error is still in Opensuse, but don't flood the console.

Marco (mfj) wrote :

After few days of "no flooding", I have again same problem with Ubuntu 7.10 RC and Final Release (both in Live mode). I don't know if this problem depends from kernel or other components.

Alan Stern (Kernel Developer) says: "Note that it's entirely possible that the problem is triggered not by the
kernel but by some other part of your distribution (like an initramfs image).".
Any ideas?

Benjamin Drung (bdrung) wrote :

I am using a fresh install of Ubuntu 7.10 amd64. The bug is still present, but it changes it behavior.

After starting Ubuntu the bug floods the console. But after some time the flooding disappears and the Bluetooth Applet appears in the panel. I have no idea which component cause the change, but I thing it is connected with the network. Mostly the flooding disappears when I get a wlan connection or plug in the network cable.

FSC Amilo Si 1520

uname -a
Linux hammy 2.6.22-14-generic #1 SMP Sun Oct 14 21:45:15 GMT 2007 x86_64 GNU/Linux

Henrik Nilsen Omma (henrik) wrote :

This will be retargeted towards the Hardy kernel once it is released. I've tagged this as "hardy-kernel-candidate" so that we make sure to retarget this report once the new release is out. However against the linux-source-2.6.22 package this is being marked as "Won't Fix" as it does not meet the criteria for a stable release update. To learn more about the stable release update process please refer to https://wiki.ubuntu.com/StableReleaseUpdates . Thanks!

Changed in linux-source-2.6.22:
status: Confirmed → Won't Fix

> This will be retargeted towards the Hardy kernel once it is released. I've tagged this as "hardy-kernel-candidate" so that
> we make sure to retarget this report once the new release is out. However against the linux-source-2.6.22 package this is
> being marked as "Won't Fix" as it does not meet the criteria for a stable release update. To learn more about the stable
> release update process please refer to https://wiki.ubuntu.com/StableReleaseUpdates . Thanks!

That's bullshit. This bug causes wireless connections (both WLAN and Bluetooth) to not work for effected users. That is very much a "severe regression" that qualifies for an update according to https://wiki.ubuntu.com/StableReleaseUpdates. Plus there is no point in wontfixing something until we figure out how it could be fixed.

Changed in linux-source-2.6.22:
status: Won't Fix → Confirmed

The Hardy Heron kernel was recently uploaded for testing. We'd really appreciate it if you could try testing with this newer kernel and verify if this issue still exists. Unfortunately, the Hardy Heron Alpha1 LiveCD was released with the older 2.6.22 kernel. You'll have to manually install the newer Hardy Heron kernel in order to test. This should not be the case for Alpha2. However, here are the instructions to install (if you choose to do so):

1) edit the file /etc/apt/sources.list and add the following line:

deb http://archive.ubuntu.com/ubuntu hardy main restricted

2) sudo apt-get update
3) sudo apt-get install linux-image-2.6.24-1-generic
4) reboot and select the new kernel from the grub menu

After you've tested, please feel free to revert back - ie boot into the old kernel, sudo apt-get remove linux-image-2.6.24-1-generic, and remove the line from /etc/apt/sources.list . Please update this report with your results. Thanks in advance!

Changed in linux:
importance: Undecided → Medium
status: New → Incomplete
kimbledon (kimbledon) wrote :

You talked about the bios firmware update. Where can I find that bootable .iso file?

kimbledon (kimbledon) wrote :

Found it from fujitsu-siemens support page.

The Hardy Heron Alpha series was recently released. Alpha2 and subsequent releases contain an updated version of the kernel. You can download and try the new Hardy Heron Alpha release from http://cdimage.ubuntu.com/releases/hardy/ . You should be able to then test the new kernel via the LiveCD. If you can, please verify if this bug still exists or not and report back your results. General information regarding the release can also be found here: http://www.ubuntu.com/testing/ .

Benjamin Drung (bdrung) wrote :

I tested the current (2008-01-21) live cd from http://cdimage.ubuntu.com/daily-live/ . dmesg reportet no debounce failure. WLAN and Bluetooth are identified correct. So I think the problem is solved for my notebook. From time to time I will check if the debounce failure will come back.

uname -a: Linux ubuntu 2.6.24-3-generic #1 SMP Thu Jan 3 22:50:33 UTC 2008 x86_64 GNU/Linux
Notebook: Amilo Si 1520 with BIOS 1.10

mx82 (mx82) wrote :

The problem isn't solved for my notebook:
[ 256.961178] hub 5-0:1.0: connect-debounce failed, port 6 disabled
Perhaps Ubuntu fix the problem only for x86_64.

uname -a
Linux ubuntu 2.6.24-4-generic #1 SMP Mon Jan 14 17:30:39 UTC 2008 i686 GNU/Linux
Notebook: Amilo Pro V3205 with BIOS 1.10

Benjamin Drung (bdrung) wrote :

I testet now the i386 hardy devel version. There is still the bug. So it is only solved for x86_64 and not for i386 (as mx82 assumed).

Notebook: FSC Amilo Si 1520 with BIOS 1.10

Changed in linux:
assignee: nobody → ubuntu-kernel-team
status: Incomplete → Triaged
Fjatle (atle-havik) wrote :

I'm running an Amilo si1520

I can confirm this even happens with the Beta release of Hardy Heron

After following the suggested course of action, that is, install the Hardy kernel, my system works normally.

> From: Fjatle <email address hidden>
> To: <email address hidden>
> Subject: [Bug 88530] Re: USB ports: connect-debounce failed, port disabled
> Date: Mon, 24 Mar 2008 03:18:31 -0000
>
>
> I'm running an Amilo si1520
>
> I can confirm this even happens with the Beta release of Hardy Heron
>
> --
> USB ports: connect-debounce failed, port disabled
> https://bugs.launchpad.net/bugs/88530
> You received this bug notification because you are a direct subscriber
> of the bug.

>

--
_______________________________________________
Surf the Web in a faster, safer and easier way:
Download Opera 9 at http://www.opera.com

Powered by Outblaze

Anatoliy Kounitskiy (bgtroll) wrote :

I want to confirm that this problem appears on Ubuntu 8.04.

Uname -a:
Linux FSC 2.6.24-19-generic #1 SMP Wed Jun 4 16:35:01 UTC 2008 i686 GNU/Linux

I'm having the same problem on a Sony PCG-Z600LEK. I cant even boot. I seem to recall being able to use 7.10 fine, but the message was always flooding the message log (and using the tty was impossible). I cannot install 8.4 - it hangs on the boot screen for a while, then drops to tty and floods it with debounce messages.

Im having the same issue with Mint (naturally since it's ubuntu based). I also have the problem with the latest Debian (although i installed just fine, but the system went down after an update - so it's probably kernel related). I'm going to try non debian distros like Fedora but i expect the same. I will also try using older versions although this bug is reported across multiple kernels and has cropped up in the past.

Im also getting:

usb 1-1.3: device not accepting address xx, error -71

and

device descriptor read/64, error -71.

I have no bluetooth in this laptop, have no usb devices attached and i have even tried opening it up and manually disconnecting the usb ports from the motherboard (so it's controller related) and the issue still remains. All the stuff about legacy etc... is useless as are all the kernel parameters. As of right now this laptop is a paperweight until this issue is resolved.

David Unwin (davidunwinubs13) wrote :

I also have a sony PCG-z600hek, the same as Alex
I get 11 messages related to hub 1-1:1:00 connect-debounce failed, port 2 disabled then
I just get (initramfs) with cursor, each time I press enter get the msg repeated

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

jan (jan-windisch) wrote :

Hallo,
I have the same bug on my Notebook
Maxdata Pro 6100 l / Intel Pentium M 2Ghz/ 1GB RAM/ Nvida GeForce Go 6200/6400
Ubuntu 8.04 (32bit)/ Kernel Linux 2.6.24-19-generic/ GNOME 2.22.3

it look like that my problem base on my internal USB Bluetooth Doogel.
My log data (uname -a, lspci -vvnn, lsusb, lsusb -v, dmesg) as attachment .

regards
Jan

Fjatle (atle-havik) wrote :

I am now running Intrepid Beta.
Kernel: 2.6.27.7.8

After first boot with the uptadet linux-image, I got some debounce connect failed...
But then trying restart after restart, it looks good.

Now I cannot get the message anymore..

I am running Fujitsu Siemens Amilo si1520

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Changed in linux:
status: Confirmed → Invalid
Ariel Faigon (ariel.faigon) wrote :

I'm seeing this in Intrepid, latest kernel:

$ uname -a
Linux hostname 2.6.27-14-server #1 SMP Fri Mar 13 18:45:51 UTC 2009 i686 GNU/Linux

This is on my desktop (not a laptop, and no wireless).

One more piece of data: this bug is more than just spewing an error into the logs.

When I connect an iPhone to a USB port for overnight battery charging, and this bug hits - it effectively disables the charging. Result: in the morning the battery is totally consumed. Apparently, when the port is disabled, it causes a overnight current drain i.e. recharging turns into discharging.

Amit Kucheria (amitk) wrote :

Ariel: There have been several changes to the core USB subsystem in 2.6.28. Would it be possible for you to test if the bug still exists with a Jaunty 9.04 Beta? Refer to http://www.ubuntu.com/testing/jaunty/beta . Please let us know.

Amit Kucheria (amitk) wrote :

2.6.22 is a very old kernel. It is unlikely that a fix will be backported to it.

Changed in linux-source-2.6.22 (Ubuntu):
status: Confirmed → Won't Fix
tags: added: ct-rev
Amit Kucheria (amitk) wrote :

Marking as Incomplete and awaiting feedback on Jaunty. Since this is very specific to certain peripherals/hubs it is also important to know if this is specific to Ubuntu kernel or mainline.

Toward this end, would you be able to test with vanilla upstream kernel builds from http://kernel.ubuntu.com/~kernel-ppa/mainline/ ?

Changed in linux (Ubuntu):
status: Triaged → Incomplete

On Tue, Apr 14, 2009 at 03:47:03PM -0700, Ariel Faigon wrote:

> Another option: is there a easy (not build from source) way to
> install the new kernel only without getting the whole Jaunty experience?

Yes! It is fairly easy to install a new kernel w/o the Jaunty goodness.

Just download it from the kernel-ppa and use 'sudo dpkg -i' to install it.

e.g. Download a linux-image*.deb file from http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.28.9/ (32 or 64-bit) and install it

Or try a newer version of the kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.29.1/

Jim Lieb (lieb) wrote :

This bug report was marked as Incomplete a while ago and has not had any feedback to provide the requested information. As a result this bug is being closed. Please reopen if this is still an issue in the latest Karmic 9.10 Alpha release http://cdimage.ubuntu.com/releases/karmic/ . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

Changed in linux (Ubuntu):
status: Incomplete → Won't Fix
Benjamin Drung (bdrung) wrote :

FYI the bug is gone in karmic's current kernel.

Arthur (arthurb) wrote :
Download full text (4.6 KiB)

I am on what i think is Karmic's newest kernel

arthurb@aetna:~$ uname -r
2.6.31-14-generic

and see the same behaviour. all usb devices stopped working as soon as I plugged in an iPhone to charge.

arthurb@aetna:~$ lsusb -t
/: Bus 08.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
/: Bus 07.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
/: Bus 06.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
/: Bus 05.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
/: Bus 04.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
/: Bus 03.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
/: Bus 02.Port 1: Dev 1, Class=root_hub, Driver=ehci_hcd/8p, 480M
    |__ Port 5: Dev 3, If 0, Class='bInterfaceClass 0x0e not yet handled', Driver=uvcvideo, 480M
    |__ Port 5: Dev 3, If 1, Class='bInterfaceClass 0x0e not yet handled', Driver=uvcvideo, 480M
/: Bus 01.Port 1: Dev 1, Class=root_hub, Driver=ehci_hcd/4p, 480M

dmesg:
[ 1907.418073] hub 5-1:1.0: cannot reset port 2 (err = -71)
[ 1907.418873] hub 5-1:1.0: cannot reset port 2 (err = -71)
[ 1907.419849] hub 5-1:1.0: cannot reset port 2 (err = -71)
[ 1907.420851] hub 5-1:1.0: cannot reset port 2 (err = -71)
[ 1907.421873] hub 5-1:1.0: cannot reset port 2 (err = -71)
[ 1907.421880] hub 5-1:1.0: Cannot enable port 2. Maybe the USB cable is bad?
[ 1907.422847] hub 5-1:1.0: cannot disable port 2 (err = -71)
[ 1907.423848] hub 5-1:1.0: cannot reset port 2 (err = -71)
[ 1907.424847] hub 5-1:1.0: cannot reset port 2 (err = -71)
[ 1907.425864] hub 5-1:1.0: cannot reset port 2 (err = -71)
[ 1907.426847] hub 5-1:1.0: cannot reset port 2 (err = -71)
[ 1907.427871] hub 5-1:1.0: cannot reset port 2 (err = -71)

(I can confirm that the USB cables is OK, i use it to sync the iPhone on another computer)

syslog shows other usb devices stopping:
Oct 22 11:59:23 aetna kernel: [ 1907.468066] hub 5-1:1.0: Cannot enable port 3. Maybe the USB cable is bad?
Oct 22 11:59:23 aetna kernel: [ 1907.469060] hub 5-1:1.0: cannot disable port 3 (err = -71)
Oct 22 11:59:23 aetna kernel: [ 1907.470083] hub 5-1:1.0: cannot disable port 3 (err = -71)
Oct 22 11:59:24 aetna kernel: [ 1908.731548] hub 2-0:1.0: connect-debounce failed, port 2 disabled
Oct 22 11:59:27 aetna kernel: [ 1911.131666] hub 2-0:1.0: connect-debounce failed, port 3 disabled
Oct 22 11:59:30 aetna kernel: [ 1914.651551] hub 2-0:1.0: connect-debounce failed, port 2 disabled
Oct 22 11:59:32 aetna kernel: [ 1917.051358] hub 2-0:1.0: connect-debounce failed, port 3 disabled
Oct 22 11:59:33 aetna kernel: [ 1917.690338] hub 3-0:1.0: port 1 disabled by hub (EMI?), re-enabling...
Oct 22 11:59:33 aetna kernel: [ 1917.690351] usb 3-1: USB disconnect, address 2
Oct 22 11:59:33 aetna bluetoothd[1923]: HCI dev 0 down
Oct 22 11:59:33 aetna bluetoothd[1923]: Adapter /org/bluez/1917/hci0 has been disabled
Oct 22 11:59:33 aetna bluetoothd[1923]: Stopping security manager 0
Oct 22 11:59:33 aetna kernel: [ 1917.690422] btusb_intr_complete: hci0 urb ffff880138479240 failed to resubmit (19)
Oct 22 11:59:33 aetna kernel: [ 1917.690441] btusb_bulk_complete: hci0 urb ffff880136c42780 failed to resubmit (19)
Oct 22 11:59:33 aetna kernel: [ 1917.691473] btusb_bu...

Read more...

Luminary Crush (jaherring) wrote :

This bug has existed a long time - I noticed it about five years ago.

I have an ASUS Digimatrix HTPC (for MythTV) which has 4xUSB in the front panel and 4xUSB in the back. They are two different controller. I am running Fedora 11 now, but this started way back in Fedora 5.

When I plug my Interlink Versapoint wireless keyboard interface into the rear controller I get the following errors:

Nov 10 08:15:20 mythtv2 kernel: usb 4-1: USB disconnect, address 2
Nov 10 08:15:29 mythtv2 kernel: hub 2-0:1.0: connect-debounce failed, port 3 disabled
Nov 10 08:15:31 mythtv2 kernel: hub 2-0:1.0: connect-debounce failed, port 3 disabled
Nov 10 08:15:33 mythtv2 kernel: hub 2-0:1.0: connect-debounce failed, port 3 disabled
Nov 10 08:15:34 mythtv2 kernel: hub 2-0:1.0: connect-debounce failed, port 3 disabled

When I plug it into the front panel controller it works fine:

Nov 10 08:15:53 mythtv2 kernel: input: Link keybd as /devices/pci0000:00/0000:00:03.1/usb4/4-1/4-1:1.1/input/input9
Nov 10 08:15:53 mythtv2 kernel: generic-usb 0003:04DF:0020.0006: input,hiddev96,hidraw3: USB HID v1.10 Mouse [Link keybd] on usb-0000:00:03.1-1/input1

[root@mythtv2 ~]# uname -a
Linux mythtv2 2.6.30.9-96.fc11.i686.PAE #1 SMP Tue Nov 3 23:41:33 EST 2009 i686 i686 i386 GNU/Linux

Bus 002 Device 003: ID 0bda:8187 Realtek Semiconductor Corp. RTL8187 Wireless Adapter
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 002: ID 1043:80fc iCreate Technologies Corp.
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 003: ID 04df:0020 Interlink Electronics
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 003: ID 0430:0005 Sun Microsystems, Inc. Type 6 Keyboard
Bus 003 Device 002: ID 046d:c001 Logitech, Inc. N48/M-BB48 [FirstMouse Plus]
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

The annoying thing is that for my HTPC the cable has to come out of the front and dangle in front of everything for this to work but hey, no big deal. However, because I have a situation in which changing ports fixed the problem perhaps this can help with debugging it.

Because the Digimatrix is such a nice box I picked up a refurb on Ebay cheap and replicated my setup for another location. I have the same issues - so I know it's not a random piece of hardware as I can duplicate it two places.

I have an extra partition and am willing to try to install Ubuntu 9.10 to see if this makes a difference if you think that will help troubleshoot.

Thanks,
Jason

Alex (e0828440) wrote :

Hello,

I'm experiencing this problem too since the newest kernel upgrade from 2.6.31-14 to 2.6.31-15 on Karmic Koala. I'm attaching my lspci -vvv.
I've experienced the problem with older kernel versions but it seemed to be gone up until now.

Thanks,
Alex

Alex (e0828440) wrote :

I've attached my dmesg output.
uname -a prints the following:
Linux maxi 2.6.31-15-generic #50-Ubuntu SMP Tue Nov 10 14:54:29 UTC 2009 i686 GNU/Linux

Thanks,
Alex

delectate (delectate) wrote :

i met this err for almost every day.

i had update my bios ,but it doesn't work

i had no idea to fix it.why this happened?

i disable wifi,express card,esata,card reader,but it still something wrong

the img below is taken by my cellphone,not very clear,sorry

delectate (delectate) wrote :

oh,i almost forget ,
uname -a
Linux delectate-laptop 2.6.31-17-generic #54-Ubuntu SMP Thu Dec 10 16:20:31 UTC 2009 i686 GNU/Linux

Itzcoalt (itzcoaltam) wrote :

Confirm the error at HP 6730b Laptop

uname -a

Linux itzcoalt-laptop 2.6.31-17-generic #54-Ubuntu SMP Thu Dec 10 17:01:44 UTC 2009 x86_64 GNU/Linux

Last Lines of dmesg

[ 1569.320279] hub 8-0:1.0: unable to enumerate USB device on port 2
[ 1571.731351] hub 2-0:1.0: connect-debounce failed, port 1 disabled
[ 1574.130286] hub 2-0:1.0: connect-debounce failed, port 2 disabled
[ 1576.531498] hub 2-0:1.0: connect-debounce failed, port 3 disabled
[ 1578.940119] hub 2-0:1.0: connect-debounce failed, port 4 disabled
[ 1581.340115] hub 2-0:1.0: connect-debounce failed, port 1 disabled
[ 1583.741340] hub 2-0:1.0: connect-debounce failed, port 2 disabled
[ 1586.140851] hub 2-0:1.0: connect-debounce failed, port 3 disabled
[ 1588.541544] hub 2-0:1.0: connect-debounce failed, port 4 disabled
[ 1588.768767] hub 8-0:1.0: unable to enumerate USB device on port 2
[ 1591.180278] hub 2-0:1.0: connect-debounce failed, port 1 disabled
[ 1593.581509] hub 2-0:1.0: connect-debounce failed, port 2 disabled
[ 1595.991279] hub 2-0:1.0: connect-debounce failed, port 3 disabled
[ 1598.390163] hub 2-0:1.0: connect-debounce failed, port 4 disabled
[ 1600.790255] hub 2-0:1.0: connect-debounce failed, port 1 disabled
[ 1603.190239] hub 2-0:1.0: connect-debounce failed, port 2 disabled
[ 1605.610238] hub 2-0:1.0: connect-debounce failed, port 3 disabled
[ 1608.016154] hub 2-0:1.0: connect-debounce failed, port 4 disabled
[ 1608.230316] hub 8-0:1.0: unable to enumerate USB device on port 2
[ 1610.650261] hub 2-0:1.0: connect-debounce failed, port 1 disabled
[ 1613.060281] hub 2-0:1.0: connect-debounce failed, port 2 disabled
[ 1615.461602] hub 2-0:1.0: connect-debounce failed, port 3 disabled

Ronin (savageintoxicant) on 2010-02-24
Changed in linux (Ubuntu):
status: Won't Fix → Confirmed

Also experienced this bug using a friend's IPhone with Lucid Beta. In Windows XP it works fine on the same machine.

$ uname -a
Linux schleppi 2.6.32-20-generic #30-Ubuntu SMP Mon Apr 12 15:19:41 UTC 2010 i686 GNU/Linux

kern.log excerpt:
<phone plugged in>
[ 9059.172933] hub 1-0:1.0: unable to enumerate USB device on port 3
[ 9059.364538] hub 1-0:1.0: unable to enumerate USB device on port 3
[ 9059.552510] hub 1-0:1.0: unable to enumerate USB device on port 3
[ 9059.740486] hub 1-0:1.0: unable to enumerate USB device on port 3
[ 9059.928598] hub 1-0:1.0: unable to enumerate USB device on port 3
[ 9060.116448] hub 1-0:1.0: unable to enumerate USB device on port 3
[ 9060.304564] hub 1-0:1.0: unable to enumerate USB device on port 3
[ 9060.492527] hub 1-0:1.0: unable to enumerate USB device on port 3
[ 9060.680505] hub 1-0:1.0: unable to enumerate USB device on port 3
[ 9060.868357] hub 1-0:1.0: unable to enumerate USB device on port 3
[ 9061.112070] usb 1-3: new high speed USB device using ehci_hcd and address 50
[ 9061.180284] hub 1-0:1.0: unable to enumerate USB device on port 3
[ 9061.424283] usb 1-3: new high speed USB device using ehci_hcd and address 51
[ 9061.492996] hub 1-0:1.0: unable to enumerate USB device on port 3
[ 9061.680638] hub 1-0:1.0: unable to enumerate USB device on port 3
[ 9061.868385] hub 1-0:1.0: unable to enumerate USB device on port 3
[ 9062.056855] hub 1-0:1.0: unable to enumerate USB device on port 3
<phone pulled out>

Torsten Krah (tkrah) wrote :

Got this one too on latest karmic kernel with Samsung MTP device:

https://bugs.launchpad.net/ubuntu/+source/rhythmbox/+bug/483050/comments/17

Min Pae (sputnik13) wrote :

I am getting this same error. I have been running Karmic without problems through all versions of the kernel released for Karmic.

Upon upgrading to Lucid today, I started to see this message, and my mouse does not work at all.

I upgraded to the 2.6.32-22 kernel from the 2.6.32-21 kernel that was installed during the upgrade, to no avail.

Booting with the 2.6.31-21 kernel that was installed prior to upgrading to Lucid gets rid of the error and my mouse is working fine.

I've attached uname -a, dmesg, and lspci -vvnn for both 2.6.31-21 and 2.6.32-22.

I have a feeling it may be something related to the kernel config or something to do with other configuration files, but I'm no expert with linux USB support.

Min Pae (sputnik13) wrote :
Min Pae (sputnik13) wrote :
Min Pae (sputnik13) wrote :
Min Pae (sputnik13) wrote :
Min Pae (sputnik13) wrote :
Min Pae (sputnik13) wrote :
Min Pae (sputnik13) wrote :
Flávio Etrusco (etrusco) wrote :

Min Pae, the posts I found across the web is that this is usually caused by bad electric contact of the usb plug. I suggest you verify there's no residues inside the plug and maybe clean it with cotton swabs...
As it seems, the real bug is that when this problem happens the system freezes for several seconds from time to time.

Min Pae (sputnik13) wrote :

Falvio, while I appreciate the response, I find it hard to believe that it's a hardware issue given that the system works predictably without a single complaint when I use the older kernel (2.6.31-21) but with the newer kernel (2.6.32-22) it likewise predictably fails. I've tried this several times with both kernels, switching back and forth.

The keyboard and mouse are powered right up to the boot loader. I have a Logitech G500 mouse with LED indicators on the top that are turned on when the mouse is receiving power, but once I get past the boot loader with the new kernel the mouse turns off and does not come back on. With the older kernel everything works fine.

The failure is not sporadic in any way, I've had the system on since last night with the older kernel and it works perfectly.

Min Pae (sputnik13) wrote :

I attached the wrong file for the 2.6.31-21 kernel lspci.. here's the correct one

Min Pae (sputnik13) wrote :

I attached the wrong file for the 2.6.31-21 kernel lspci.. here's the correct one

Min Pae (sputnik13) wrote :

Err, sorry for the multiple post, the server said it failed and that I should try gain, which I did, then saw that it posted twice -_-;;

Flávio Etrusco (etrusco) wrote :

You may be correct, but it doesn't totally invalidate the theory; the kernel may just have been made more picky/correct about errors returned by the USB controller. For me, cleaning the usb plug fixed it.

Min Pae (sputnik13) wrote :

Everything works great with the latest kernel (2.6.32-22 #36). I've been running on the 2.6.31-21 kernel until this latest update. I don't know what's different, but previously uname -a returned a kernel version of 2.6.32-22 #33, and now it's 2.6.32-22 #36. Obviously something changed between then and now, though I don't nkow precisely what. Unfortunately, I didn't save a copy of the kernel config for the #33 kernel so I can't even do a diff to see whether any options changed..

I had same issue and solved buying a new usb cable.
Maybe this is a cable error problem?

Changed in gentoo:
status: Fix Released → Won't Fix
Min Pae (sputnik13) wrote :

Well, I spoke prematurely. The problem returned after a couple reboots. I don't see how this could be a cable problem when the same device works perfectly fine on my Desktop and both my work Laptop and my personal Laptop. Also, it's not just the mouse, it seems like my printer isn't recognized either. I still think this is a software problem as the older kernels from 9.10 all worked perfectly. I am going to try doing a fresh install of 10.10 at pretty soon to see whether that resolves the problem.

In my case the error happened for no reason. After a lot of rebooting, disabling and re-enabling USB and stuff, I try cleaning the ports with a cotton bud and it works! It could not be, but it was :|

Changed in linux:
importance: Unknown → Medium
Changed in gentoo:
importance: Unknown → High

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
Changed in linux-source-2.6.20 (Suse):
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.